# Send a Messages API message

**POST** `/messages-api/1/messages`

Send messages at scale through multiple channels, utilizing various message types.

## Authentication

- **APIKeyHeader** — API key passed via the `Authorization` header.
- **Basic** — HTTP basic authentication.
- **IBSSOTokenHeader** — API key passed via the `Authorization` header.
- **OAuth2** — OAuth 2.0 bearer token.

## Request Body

Content type: `application/json`

### Text message APPLE_MB

```json
{
  "messages": [
    {
      "channel": "APPLE_MB",
      "sender": "e1c86198-d9bf-43ee-a635-7fe9cbcf45ad",
      "destinations": [
        {
          "to": "urn:mbid:AQAAY6xHR8jJXQr78AG+hTy/xz8H/slwhA06+fLuhMyGKnWAB2DNFenG1r8hAFckmalbZiBRorHQXNcnCg7OK94H+tEF/CI4wDdedyL0E+mDYIwDG+Xcd05xQc0i7GNgRGs1QZmn4Yr5foi6H6ebjivoHbo3cl0="
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      }
    }
  ]
}
```

### Text message with buttons APPLE_MB

```json
{
  "messages": [
    {
      "channel": "APPLE_MB",
      "sender": "e1c86198-d9bf-43ee-a635-7fe9cbcf45ad",
      "destinations": [
        {
          "to": "urn:mbid:AQAAY6xHR8jJXQr78AG+hTy/xz8H/slwhA06+fLuhMyGKnWAB2DNFenG1r8hAFckmalbZiBRorHQXNcnCg7OK94H+tEF/CI4wDdedyL0E+mDYIwDG+Xcd05xQc0i7GNgRGs1QZmn4Yr5foi6H6ebjivoHbo3cl0="
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        },
        "buttons": [
          {
            "text": "Thank you",
            "postbackData": "thanks",
            "type": "REPLY"
          },
          {
            "text": "I send you more :3",
            "postbackData": "more",
            "type": "REPLY"
          }
        ]
      }
    }
  ]
}
```

### Image message APPLE_MB

```json
{
  "messages": [
    {
      "channel": "APPLE_MB",
      "sender": "e1c86198-d9bf-43ee-a635-7fe9cbcf45ad",
      "destinations": [
        {
          "to": "urn:mbid:AQAAY6xHR8jJXQr78AG+hTy/xz8H/slwhA06+fLuhMyGKnWAB2DNFenG1r8hAFckmalbZiBRorHQXNcnCg7OK94H+tEF/CI4wDdedyL0E+mDYIwDG+Xcd05xQc0i7GNgRGs1QZmn4Yr5foi6H6ebjivoHbo3cl0="
        }
      ],
      "content": {
        "body": {
          "url": "https://example.com/image.jpg",
          "type": "IMAGE"
        }
      }
    }
  ]
}
```

### Video message APPLE_MB

```json
{
  "messages": [
    {
      "channel": "APPLE_MB",
      "sender": "e1c86198-d9bf-43ee-a635-7fe9cbcf45ad",
      "destinations": [
        {
          "to": "urn:mbid:AQAAY6xHR8jJXQr78AG+hTy/xz8H/slwhA06+fLuhMyGKnWAB2DNFenG1r8hAFckmalbZiBRorHQXNcnCg7OK94H+tEF/CI4wDdedyL0E+mDYIwDG+Xcd05xQc0i7GNgRGs1QZmn4Yr5foi6H6ebjivoHbo3cl0="
        }
      ],
      "content": {
        "body": {
          "url": "https://example.com/video.mp4",
          "type": "VIDEO"
        }
      }
    }
  ]
}
```

### Document message APPLE_MB

```json
{
  "messages": [
    {
      "channel": "APPLE_MB",
      "sender": "e1c86198-d9bf-43ee-a635-7fe9cbcf45ad",
      "destinations": [
        {
          "to": "urn:mbid:AQAAY6xHR8jJXQr78AG+hTy/xz8H/slwhA06+fLuhMyGKnWAB2DNFenG1r8hAFckmalbZiBRorHQXNcnCg7OK94H+tEF/CI4wDdedyL0E+mDYIwDG+Xcd05xQc0i7GNgRGs1QZmn4Yr5foi6H6ebjivoHbo3cl0="
        }
      ],
      "content": {
        "body": {
          "url": "https://example.com/document.pdf",
          "type": "DOCUMENT"
        }
      }
    }
  ]
}
```

### Rich link message APPLE_MB

```json
{
  "messages": [
    {
      "channel": "APPLE_MB",
      "sender": "e1c86198-d9bf-43ee-a635-7fe9cbcf45ad",
      "destinations": [
        {
          "to": "urn:mbid:AQAAY6xHR8jJXQr78AG+hTy/xz8H/slwhA06+fLuhMyGKnWAB2DNFenG1r8hAFckmalbZiBRorHQXNcnCg7OK94H+tEF/CI4wDdedyL0E+mDYIwDG+Xcd05xQc0i7GNgRGs1QZmn4Yr5foi6H6ebjivoHbo3cl0="
        }
      ],
      "content": {
        "body": {
          "redirectUrl": "https://example.com",
          "text": "Have a bear-y good day!",
          "url": "https://example.com/image.jpg",
          "isVideo": false,
          "type": "RICH_LINK"
        }
      }
    }
  ]
}
```

### Authentication request message APPLE_MB

```json
{
  "messages": [
    {
      "channel": "APPLE_MB",
      "sender": "e1c86198-d9bf-43ee-a635-7fe9cbcf45ad",
      "destinations": [
        {
          "to": "urn:mbid:AQAAY6xHR8jJXQr78AG+hTy/xz8H/slwhA06+fLuhMyGKnWAB2DNFenG1r8hAFckmalbZiBRorHQXNcnCg7OK94H+tEF/CI4wDdedyL0E+mDYIwDG+Xcd05xQc0i7GNgRGs1QZmn4Yr5foi6H6ebjivoHbo3cl0="
        }
      ],
      "content": {
        "body": {
          "text": "Authentication!",
          "type": "AUTHENTICATION_REQUEST"
        },
        "confirmationBody": {
          "text": "Thank you!",
          "imageUrl": "https://example.com/authenticated.jpg"
        }
      }
    }
  ]
}
```

### List message APPLE_MB

```json
{
  "messages": [
    {
      "channel": "APPLE_MB",
      "sender": "e1c86198-d9bf-43ee-a635-7fe9cbcf45ad",
      "destinations": [
        {
          "to": "urn:mbid:AQAAY6xHR8jJXQr78AG+hTy/xz8H/slwhA06+fLuhMyGKnWAB2DNFenG1r8hAFckmalbZiBRorHQXNcnCg7OK94H+tEF/CI4wDdedyL0E+mDYIwDG+Xcd05xQc0i7GNgRGs1QZmn4Yr5foi6H6ebjivoHbo3cl0="
        }
      ],
      "content": {
        "body": {
          "text": "Welcome to the Safari Adventure Crew!",
          "subtext": "Adjust your trip",
          "sections": [
            {
              "sectionTitle": "Essentials",
              "items": [
                {
                  "text": "Binoculars"
                },
                {
                  "text": "Safari Hat"
                }
              ]
            },
            {
              "sectionTitle": "Animals to Meet",
              "items": [
                {
                  "text": "Elephant"
                },
                {
                  "text": "Zebra"
                }
              ]
            }
          ],
          "type": "LIST"
        },
        "confirmationBody": {
          "text": "Thanks!",
          "imageUrl": "https://example.com/thanks.jpg"
        }
      }
    }
  ]
}
```

### Carousel message APPLE_MB

```json
{
  "messages": [
    {
      "channel": "APPLE_MB",
      "sender": "e1c86198-d9bf-43ee-a635-7fe9cbcf45ad",
      "destinations": [
        {
          "to": "urn:mbid:AQAAY6xHR8jJXQr78AG+hTy/xz8H/slwhA06+fLuhMyGKnWAB2DNFenG1r8hAFckmalbZiBRorHQXNcnCg7OK94H+tEF/CI4wDdedyL0E+mDYIwDG+Xcd05xQc0i7GNgRGs1QZmn4Yr5foi6H6ebjivoHbo3cl0="
        }
      ],
      "content": {
        "body": {
          "cards": [
            {
              "body": {
                "text": "Cuddle with softest otter in the river",
                "url": "https://example.com/image.png",
                "isVideo": false
              },
              "buttons": [
                {
                  "text": "Otter",
                  "url": "https://example.com/otter",
                  "postbackData": "postbackData",
                  "type": "OPEN_URL"
                }
              ]
            }
          ],
          "type": "CAROUSEL"
        }
      }
    }
  ]
}
```

### Sticker message APPLE_MB

```json
{
  "messages": [
    {
      "channel": "APPLE_MB",
      "sender": "e1c86198-d9bf-43ee-a635-7fe9cbcf45ad",
      "destinations": [
        {
          "to": "urn:mbid:AQAAY6xHR8jJXQr78AG+hTy/xz8H/slwhA06+fLuhMyGKnWAB2DNFenG1r8hAFckmalbZiBRorHQXNcnCg7OK94H+tEF/CI4wDdedyL0E+mDYIwDG+Xcd05xQc0i7GNgRGs1QZmn4Yr5foi6H6ebjivoHbo3cl0="
        }
      ],
      "content": {
        "body": {
          "reference": "https://example.com/sticker.webp",
          "type": "STICKER"
        }
      }
    }
  ]
}
```

### Mixed message APPLE_MB

```json
{
  "messages": [
    {
      "channel": "APPLE_MB",
      "sender": "e1c86198-d9bf-43ee-a635-7fe9cbcf45ad",
      "destinations": [
        {
          "to": "urn:mbid:AQAAY6xHR8jJXQr78AG+hTy/xz8H/slwhA06+fLuhMyGKnWAB2DNFenG1r8hAFckmalbZiBRorHQXNcnCg7OK94H+tEF/CI4wDdedyL0E+mDYIwDG+Xcd05xQc0i7GNgRGs1QZmn4Yr5foi6H6ebjivoHbo3cl0="
        }
      ],
      "content": {
        "body": {
          "items": [
            {
              "url": "https://example.com/example1.jpg"
            },
            {
              "url": "https://example.com/example2.jpg"
            },
            {
              "url": "https://example.com/example3.jpg"
            }
          ],
          "type": "MIXED"
        }
      }
    }
  ]
}
```

### Time picker message APPLE_MB

```json
{
  "messages": [
    {
      "channel": "APPLE_MB",
      "sender": "e1c86198-d9bf-43ee-a635-7fe9cbcf45ad",
      "destinations": [
        {
          "to": "urn:mbid:AQAAY6xHR8jJXQr78AG+hTy/xz8H/slwhA06+fLuhMyGKnWAB2DNFenG1r8hAFckmalbZiBRorHQXNcnCg7OK94H+tEF/CI4wDdedyL0E+mDYIwDG+Xcd05xQc0i7GNgRGs1QZmn4Yr5foi6H6ebjivoHbo3cl0="
        }
      ],
      "content": {
        "body": {
          "text": "When do you want to meet?",
          "imageUrl": "https://example.com/image.jpg",
          "event": {
            "title": "Important meeting",
            "timeslots": [
              {
                "duration": 3600,
                "startTime": "2035-05-26T08:30:00Z"
              },
              {
                "duration": 3600,
                "startTime": "2035-05-26T09:30:00Z"
              }
            ],
            "location": {
              "latitude": 44.95305,
              "longitude": 13.85637,
              "radius": 50.0,
              "name": "Infobip d.o.o."
            }
          },
          "type": "TIME_PICKER"
        },
        "confirmationBody": {
          "text": "Thanks!",
          "imageUrl": "https://example.com/thanks.jpg"
        }
      }
    }
  ]
}
```

### Order request message APPLE_MB

```json
{
  "messages": [
    {
      "channel": "APPLE_MB",
      "sender": "e1c86198-d9bf-43ee-a635-7fe9cbcf45ad",
      "destinations": [
        {
          "to": "urn:mbid:AQAAY6xHR8jJXQr78AG+hTy/xz8H/slwhA06+fLuhMyGKnWAB2DNFenG1r8hAFckmalbZiBRorHQXNcnCg7OK94H+tEF/CI4wDdedyL0E+mDYIwDG+Xcd05xQc0i7GNgRGs1QZmn4Yr5foi6H6ebjivoHbo3cl0="
        }
      ],
      "content": {
        "body": {
          "text": "Message text",
          "subtext": "Message subtitle",
          "imageUrl": "https://example.com/image.jpg",
          "order": {
            "items": [
              {
                "name": "Item name",
                "retailerId": "retailerId",
                "amount": 100
              }
            ]
          },
          "payment": {
            "configuration": {
              "merchantDomain": "customMerchantDomain",
              "merchantDisplayName": "customMerchantDisplayName",
              "type": "APPLE_PAY"
            },
            "total": {
              "value": 75,
              "description": "Total description"
            }
          },
          "shippings": [
            {
              "amount": 10,
              "description": "Shipping description",
              "identifier": "identified",
              "label": "label"
            }
          ],
          "type": "ORDER_REQUEST"
        }
      }
    }
  ]
}
```

### Template message with parameters APPLE_MB

```json
{
  "messages": [
    {
      "channel": "APPLE_MB",
      "sender": "e1c86198-d9bf-43ee-a635-7fe9cbcf45ad",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "template": {
        "templateName": "binaryChoice.engage.noImage",
        "language": "en-us",
        "referenceId": "referenceId"
      },
      "content": {
        "body": {
          "type": "TEXT",
          "brandName": "Infobip"
        }
      }
    }
  ]
}
```

### Text message with options and webhooks APPLE_MB

```json
{
  "messages": [
    {
      "channel": "APPLE_MB",
      "sender": "e1c86198-d9bf-43ee-a635-7fe9cbcf45ad",
      "destinations": [
        {
          "to": "urn:mbid:AQAAY6xHR8jJXQr78AG+hTy/xz8H/slwhA06+fLuhMyGKnWAB2DNFenG1r8hAFckmalbZiBRorHQXNcnCg7OK94H+tEF/CI4wDdedyL0E+mDYIwDG+Xcd05xQc0i7GNgRGs1QZmn4Yr5foi6H6ebjivoHbo3cl0="
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      },
      "options": {
        "platform": {
          "entityId": "entityId",
          "applicationId": "applicationId"
        },
        "validityPeriod": {
          "amount": 10,
          "timeUnit": "MINUTES"
        },
        "adaptationMode": false,
        "campaignReferenceId": "campaignReferenceId"
      },
      "webhooks": {
        "delivery": {
          "url": "https://example.com/delivery-webhook"
        },
        "callbackData": "callbackData"
      }
    }
  ]
}
```

### Text message with scheduling and URL shortening and tracking APPLE_MB

```json
{
  "messages": [
    {
      "channel": "APPLE_MB",
      "sender": "e1c86198-d9bf-43ee-a635-7fe9cbcf45ad",
      "destinations": [
        {
          "to": "urn:mbid:AQAAY6xHR8jJXQr78AG+hTy/xz8H/slwhA06+fLuhMyGKnWAB2DNFenG1r8hAFckmalbZiBRorHQXNcnCg7OK94H+tEF/CI4wDdedyL0E+mDYIwDG+Xcd05xQc0i7GNgRGs1QZmn4Yr5foi6H6ebjivoHbo3cl0="
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      }
    }
  ],
  "options": {
    "schedule": {
      "bulkId": "bulkId",
      "sendAt": "2025-10-01T00:00:00.000Z"
    },
    "tracking": {
      "shortenUrl": true,
      "trackClicks": true,
      "trackingUrl": "https://example.com/track-url",
      "removeProtocol": true
    }
  }
}
```

### Text message with failover to other channels APPLE_MB

```json
{
  "messages": [
    {
      "channel": "APPLE_MB",
      "sender": "e1c86198-d9bf-43ee-a635-7fe9cbcf45ad",
      "destinations": [
        {
          "byChannel": [
            {
              "channel": "APPLE_MB",
              "to": "urn:mbid:AQAAY6xHR8jJXQr78AG+hTy/xz8H/slwhA06+fLuhMyGKnWAB2DNFenG1r8hAFckmalbZiBRorHQXNcnCg7OK94H+tEF/CI4wDdedyL0E+mDYIwDG+Xcd05xQc0i7GNgRGs1QZmn4Yr5foi6H6ebjivoHbo3cl0="
            },
            {
              "channel": "INSTAGRAM_DM",
              "to": "768938852147373"
            },
            {
              "channel": "WHATSAPP",
              "to": "123456789"
            }
          ]
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      },
      "failover": [
        {
          "channel": "INSTAGRAM_DM",
          "sender": "17841447232797249"
        },
        {
          "channel": "WHATSAPP",
          "sender": "447491163862",
          "template": {
            "templateName": "givenTemplateName",
            "language": "en"
          }
        }
      ]
    }
  ]
}
```

### Template message with parameters with failover to other channels APPLE_MB

```json
{
  "messages": [
    {
      "channel": "APPLE_MB",
      "sender": "e1c86198-d9bf-43ee-a635-7fe9cbcf45ad",
      "destinations": [
        {
          "byChannel": [
            {
              "channel": "APPLE_MB",
              "to": "urn:mbid:AQAAY6xHR8jJXQr78AG+hTy/xz8H/slwhA06+fLuhMyGKnWAB2DNFenG1r8hAFckmalbZiBRorHQXNcnCg7OK94H+tEF/CI4wDdedyL0E+mDYIwDG+Xcd05xQc0i7GNgRGs1QZmn4Yr5foi6H6ebjivoHbo3cl0="
            },
            {
              "channel": "INSTAGRAM_DM",
              "to": "768938852147373"
            },
            {
              "channel": "LINE_ON",
              "to": "123456789"
            }
          ]
        }
      ],
      "template": {
        "templateName": "binaryChoice.engage.noImage",
        "language": "en-us",
        "referenceId": "referenceId"
      },
      "content": {
        "body": {
          "type": "TEXT",
          "brandName": "Infobip"
        }
      },
      "webhooks": {
        "delivery": {
          "url": "https://example.com/delivery-webhook",
          "receiveTriggeredFailoverReports": true
        },
        "callbackData": "callbackData"
      },
      "failover": [
        {
          "channel": "INSTAGRAM_DM",
          "sender": "17841447232797249",
          "content": {
            "body": {
              "text": "Hello, how are you?",
              "type": "TEXT"
            }
          }
        },
        {
          "channel": "LINE_ON",
          "sender": "LINE IB Test",
          "content": {
            "body": {
              "url": "https://example.com/image.jpg",
              "text": "Hello, how are you?",
              "type": "IMAGE"
            }
          }
        }
      ]
    }
  ]
}
```

### Form message APPLE_MB

```json
{
  "messages": [
    {
      "channel": "APPLE_MB",
      "sender": "e1c86198-d9bf-43ee-a635-7fe9cbcf45ad",
      "destinations": [
        {
          "to": "urn:mbid:AQAAY6xHR8jJXQr78AG+hTy/xz8H/slwhA06+fLuhMyGKnWAB2DNFenG1r8hAFckmalbZiBRorHQXNcnCg7OK94H+tEF/CI4wDdedyL0E+mDYIwDG+Xcd05xQc0i7GNgRGs1QZmn4Yr5foi6H6ebjivoHbo3cl0="
        }
      ],
      "content": {
        "body": {
          "text": "Please fill this form to receive absolutely nothing!",
          "imageUrl": "https://example.com/image.jpg",
          "pages": [
            {
              "title": "Welcome to the form!",
              "text": "Please fill all fields.",
              "buttonText": "Proceed to first question",
              "imageUrl": "https://example.com/image.jpg",
              "type": "INTRO"
            },
            {
              "title": "First page",
              "text": "What is your name?",
              "pageIdentifier": "1",
              "nextPageIdentifier": "2",
              "submitForm": false,
              "options": {
                "hintText": "A small hint",
                "placeholder": "Insert your name",
                "isRequired": false,
                "inputType": "SINGLELINE",
                "labelText": "Name",
                "maximumCharacterCount": 30,
                "keyboardType": "DEFAULT",
                "textContentType": "GIVEN_NAME"
              },
              "type": "INPUT"
            },
            {
              "title": "Second page",
              "text": "Pick your favourite animal",
              "pageIdentifier": "2",
              "nextPageIdentifier": "3",
              "items": [
                {
                  "identifier": "2-1",
                  "title": "Dog",
                  "value": "dog"
                },
                {
                  "identifier": "2-2",
                  "title": "Cat",
                  "value": "cat"
                }
              ],
              "submitForm": false,
              "subtext": "Choose an animal",
              "selectedItemIndex": 0,
              "type": "PICKER"
            },
            {
              "title": "Third page",
              "text": "Select two colours of your liking",
              "pageIdentifier": "3",
              "nextPageIdentifier": "4",
              "items": [
                {
                  "identifier": "3-1",
                  "title": "Red",
                  "value": "red"
                },
                {
                  "identifier": "3-2",
                  "title": "Green",
                  "value": "green"
                },
                {
                  "identifier": "3-1",
                  "title": "Blue",
                  "value": "blue"
                }
              ],
              "submitForm": false,
              "multipleSelection": true,
              "type": "SELECT"
            },
            {
              "title": "Fourth page",
              "text": "When is your birthday?",
              "pageIdentifier": "4",
              "submitForm": true,
              "options": {
                "dateFormat": "yyyy-MM-DD",
                "startDate": "2025-01-01T14:00:00Z",
                "maximumDate": "2025-01-01T14:00:00Z",
                "minimumDate": "1900-01-01T14:00:00Z",
                "dateLabel": "Your birthday"
              },
              "type": "DATE_PICKER"
            }
          ],
          "startPageIdentifier": "1",
          "isPrivate": false,
          "showSummary": false,
          "type": "FORM"
        },
        "confirmationBody": {
          "text": "Thank you!",
          "imageUrl": "https://example.com/form.jpg"
        }
      }
    }
  ]
}
```

### Text message INSTAGRAM_DM

```json
{
  "messages": [
    {
      "channel": "INSTAGRAM_DM",
      "sender": "17841447232797249",
      "destinations": [
        {
          "to": "768938852147373"
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      }
    }
  ]
}
```

### Text message with buttons INSTAGRAM_DM

```json
{
  "messages": [
    {
      "channel": "INSTAGRAM_DM",
      "sender": "17841447232797249",
      "destinations": [
        {
          "to": "768938852147373"
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        },
        "buttons": [
          {
            "text": "Thank you",
            "postbackData": "thanks",
            "type": "REPLY"
          },
          {
            "text": "I send you more :3",
            "postbackData": "more",
            "type": "REPLY"
          }
        ]
      }
    }
  ]
}
```

### Image message INSTAGRAM_DM

```json
{
  "messages": [
    {
      "channel": "INSTAGRAM_DM",
      "sender": "17841447232797249",
      "destinations": [
        {
          "to": "768938852147373"
        }
      ],
      "content": {
        "body": {
          "url": "https://example.com/image.jpg",
          "type": "IMAGE"
        }
      }
    }
  ]
}
```

### Video message INSTAGRAM_DM

```json
{
  "messages": [
    {
      "channel": "INSTAGRAM_DM",
      "sender": "17841447232797249",
      "destinations": [
        {
          "to": "768938852147373"
        }
      ],
      "content": {
        "body": {
          "url": "https://example.com/video.mp4",
          "type": "VIDEO"
        }
      }
    }
  ]
}
```

### Document message INSTAGRAM_DM

```json
{
  "messages": [
    {
      "channel": "INSTAGRAM_DM",
      "sender": "17841447232797249",
      "destinations": [
        {
          "to": "768938852147373"
        }
      ],
      "content": {
        "body": {
          "url": "https://example.com/document.pdf",
          "type": "DOCUMENT"
        }
      }
    }
  ]
}
```

### Rich link message INSTAGRAM_DM

```json
{
  "messages": [
    {
      "channel": "INSTAGRAM_DM",
      "sender": "17841447232797249",
      "destinations": [
        {
          "to": "768938852147373"
        }
      ],
      "content": {
        "body": {
          "redirectUrl": "https://example.com",
          "text": "Have a bear-y good day!",
          "url": "https://example.com/image.jpg",
          "isVideo": false,
          "buttonText": "Click here",
          "type": "RICH_LINK"
        }
      }
    }
  ]
}
```

### List message INSTAGRAM_DM

```json
{
  "messages": [
    {
      "channel": "INSTAGRAM_DM",
      "sender": "17841447232797249",
      "destinations": [
        {
          "to": "768938852147373"
        }
      ],
      "content": {
        "body": {
          "text": "Welcome to the Safari Adventure Crew!",
          "subtext": "Adjust your trip",
          "sections": [
            {
              "sectionTitle": "Essentials",
              "items": [
                {
                  "text": "Binoculars"
                },
                {
                  "text": "Safari Hat"
                }
              ]
            },
            {
              "sectionTitle": "Animals to Meet",
              "items": [
                {
                  "text": "Elephant"
                },
                {
                  "text": "Zebra"
                }
              ]
            }
          ],
          "type": "LIST"
        }
      }
    }
  ]
}
```

### Carousel message INSTAGRAM_DM

```json
{
  "messages": [
    {
      "channel": "INSTAGRAM_DM",
      "sender": "17841447232797249",
      "destinations": [
        {
          "to": "768938852147373"
        }
      ],
      "content": {
        "body": {
          "cards": [
            {
              "body": {
                "title": "Otter Plushie",
                "text": "Cuddle with softest otter in the river",
                "url": "https://example.com/image.png",
                "isVideo": false
              },
              "buttons": [
                {
                  "text": "Otter",
                  "url": "https://example.com/otter",
                  "postbackData": "postbackData",
                  "type": "OPEN_URL"
                }
              ]
            },
            {
              "body": {
                "title": "Penguin Plushie",
                "text": "Waddle with adorable penguin friend",
                "url": "https://example.com/image.png",
                "isVideo": false
              },
              "buttons": [
                {
                  "text": "Penguin",
                  "url": "https://example.com/penguin",
                  "postbackData": "postbackData",
                  "type": "OPEN_URL"
                }
              ]
            }
          ],
          "type": "CAROUSEL"
        }
      }
    }
  ]
}
```

### Location message INSTAGRAM_DM

```json
{
  "messages": [
    {
      "channel": "INSTAGRAM_DM",
      "sender": "17841447232797249",
      "destinations": [
        {
          "to": "768938852147373"
        }
      ],
      "content": {
        "body": {
          "latitude": 44.95305,
          "longitude": 13.85637,
          "name": "Infobip d.o.o.",
          "address": "Istarska 157, 52215 Vodnjan, Croatia",
          "type": "LOCATION"
        }
      }
    }
  ]
}
```

### Sticker message INSTAGRAM_DM

```json
{
  "messages": [
    {
      "channel": "INSTAGRAM_DM",
      "sender": "17841447232797249",
      "destinations": [
        {
          "to": "768938852147373"
        }
      ],
      "content": {
        "body": {
          "reference": "https://example.com/sticker.webp",
          "type": "STICKER"
        }
      }
    }
  ]
}
```

### Text message with options and webhooks INSTAGRAM_DM

```json
{
  "messages": [
    {
      "channel": "INSTAGRAM_DM",
      "sender": "17841447232797249",
      "destinations": [
        {
          "to": "768938852147373"
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      },
      "options": {
        "platform": {
          "entityId": "entityId",
          "applicationId": "applicationId"
        },
        "validityPeriod": {
          "amount": 10,
          "timeUnit": "MINUTES"
        },
        "adaptationMode": false,
        "campaignReferenceId": "campaignReferenceId"
      },
      "webhooks": {
        "delivery": {
          "url": "https://example.com/delivery-webhook"
        },
        "callbackData": "callbackData"
      }
    }
  ]
}
```

### Text message with scheduling and URL shortening and tracking INSTAGRAM_DM

```json
{
  "messages": [
    {
      "channel": "INSTAGRAM_DM",
      "sender": "17841447232797249",
      "destinations": [
        {
          "to": "768938852147373"
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      }
    }
  ],
  "options": {
    "schedule": {
      "bulkId": "bulkId",
      "sendAt": "2025-10-01T00:00:00.000Z"
    },
    "tracking": {
      "shortenUrl": true,
      "trackClicks": true,
      "trackingUrl": "https://example.com/track-url",
      "removeProtocol": true
    }
  }
}
```

### Text message with failover to other channels INSTAGRAM_DM

```json
{
  "messages": [
    {
      "channel": "INSTAGRAM_DM",
      "sender": "17841447232797249",
      "destinations": [
        {
          "byChannel": [
            {
              "channel": "INSTAGRAM_DM",
              "to": "768938852147373"
            },
            {
              "channel": "LINE_ON",
              "to": "123456789"
            },
            {
              "channel": "WHATSAPP",
              "to": "123456789"
            }
          ]
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      },
      "failover": [
        {
          "channel": "LINE_ON",
          "sender": "LINE IB Test"
        },
        {
          "channel": "WHATSAPP",
          "sender": "447491163862",
          "template": {
            "templateName": "givenTemplateName",
            "language": "en"
          }
        }
      ]
    }
  ]
}
```

### Text message LINE_ON

```json
{
  "messages": [
    {
      "channel": "LINE_ON",
      "sender": "LINE IB Test",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      }
    }
  ]
}
```

### Text message with buttons LINE_ON

```json
{
  "messages": [
    {
      "channel": "LINE_ON",
      "sender": "LINE IB Test",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        },
        "buttons": [
          {
            "text": "Check vibes",
            "url": "https://example.com/vibes",
            "type": "OPEN_URL"
          }
        ]
      }
    }
  ]
}
```

### Image message LINE_ON

```json
{
  "messages": [
    {
      "channel": "LINE_ON",
      "sender": "LINE IB Test",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "url": "https://example.com/image.jpg",
          "type": "IMAGE"
        }
      }
    }
  ]
}
```

### Video message LINE_ON

```json
{
  "messages": [
    {
      "channel": "LINE_ON",
      "sender": "LINE IB Test",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "url": "https://example.com/video.mp4",
          "type": "VIDEO"
        }
      }
    }
  ]
}
```

### Document message LINE_ON

```json
{
  "messages": [
    {
      "channel": "LINE_ON",
      "sender": "LINE IB Test",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "url": "https://example.com/document.pdf",
          "type": "DOCUMENT"
        }
      }
    }
  ]
}
```

### Location message LINE_ON

```json
{
  "messages": [
    {
      "channel": "LINE_ON",
      "sender": "LINE IB Test",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "latitude": 44.95305,
          "longitude": 13.85637,
          "name": "Infobip d.o.o.",
          "address": "Istarska 157, 52215 Vodnjan, Croatia",
          "type": "LOCATION"
        }
      }
    }
  ]
}
```

### Text message with options and webhooks LINE_ON

```json
{
  "messages": [
    {
      "channel": "LINE_ON",
      "sender": "LINE IB Test",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      },
      "options": {
        "platform": {
          "entityId": "entityId",
          "applicationId": "applicationId"
        },
        "validityPeriod": {
          "amount": 10,
          "timeUnit": "MINUTES"
        },
        "adaptationMode": false,
        "campaignReferenceId": "campaignReferenceId"
      },
      "webhooks": {
        "delivery": {
          "url": "https://example.com/delivery-webhook"
        },
        "callbackData": "callbackData"
      }
    }
  ]
}
```

### Text message with scheduling and URL shortening and tracking LINE_ON

```json
{
  "messages": [
    {
      "channel": "LINE_ON",
      "sender": "LINE IB Test",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      }
    }
  ],
  "options": {
    "schedule": {
      "bulkId": "bulkId",
      "sendAt": "2025-10-01T00:00:00.000Z"
    },
    "tracking": {
      "shortenUrl": true,
      "trackClicks": true,
      "trackingUrl": "https://example.com/track-url",
      "removeProtocol": true
    }
  }
}
```

### Text message with failover to other channels LINE_ON

```json
{
  "messages": [
    {
      "channel": "LINE_ON",
      "sender": "LINE IB Test",
      "destinations": [
        {
          "byChannel": [
            {
              "channel": "LINE_ON",
              "to": "123456789"
            },
            {
              "channel": "MESSENGER",
              "to": "24060905360217212"
            },
            {
              "channel": "WHATSAPP",
              "to": "123456789"
            }
          ]
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      },
      "failover": [
        {
          "channel": "MESSENGER",
          "sender": "731401526720514"
        },
        {
          "channel": "WHATSAPP",
          "sender": "447491163862",
          "template": {
            "templateName": "givenTemplateName",
            "language": "en"
          }
        }
      ]
    }
  ]
}
```

### Text message MESSENGER

```json
{
  "messages": [
    {
      "channel": "MESSENGER",
      "sender": "731401526720514",
      "destinations": [
        {
          "to": "24060905360217212"
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      }
    }
  ]
}
```

### Text message with buttons MESSENGER

```json
{
  "messages": [
    {
      "channel": "MESSENGER",
      "sender": "731401526720514",
      "destinations": [
        {
          "to": "24060905360217212"
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        },
        "buttons": [
          {
            "text": "Thank you",
            "postbackData": "thanks",
            "type": "REPLY"
          },
          {
            "text": "I send you more :3",
            "postbackData": "more",
            "type": "REPLY"
          }
        ]
      }
    }
  ]
}
```

### Image message MESSENGER

```json
{
  "messages": [
    {
      "channel": "MESSENGER",
      "sender": "731401526720514",
      "destinations": [
        {
          "to": "24060905360217212"
        }
      ],
      "content": {
        "body": {
          "url": "https://example.com/image.jpg",
          "type": "IMAGE"
        }
      }
    }
  ]
}
```

### Video message MESSENGER

```json
{
  "messages": [
    {
      "channel": "MESSENGER",
      "sender": "731401526720514",
      "destinations": [
        {
          "to": "24060905360217212"
        }
      ],
      "content": {
        "body": {
          "url": "https://example.com/video.mp4",
          "type": "VIDEO"
        }
      }
    }
  ]
}
```

### Document message MESSENGER

```json
{
  "messages": [
    {
      "channel": "MESSENGER",
      "sender": "731401526720514",
      "destinations": [
        {
          "to": "24060905360217212"
        }
      ],
      "content": {
        "body": {
          "url": "https://example.com/document.pdf",
          "type": "DOCUMENT"
        }
      }
    }
  ]
}
```

### Rich link message MESSENGER

```json
{
  "messages": [
    {
      "channel": "MESSENGER",
      "sender": "731401526720514",
      "destinations": [
        {
          "to": "24060905360217212"
        }
      ],
      "content": {
        "body": {
          "redirectUrl": "https://example.com",
          "text": "Have a bear-y good day!",
          "url": "https://example.com/image.jpg",
          "isVideo": false,
          "buttonText": "Click here",
          "type": "RICH_LINK"
        }
      }
    }
  ]
}
```

### List message MESSENGER

```json
{
  "messages": [
    {
      "channel": "MESSENGER",
      "sender": "731401526720514",
      "destinations": [
        {
          "to": "24060905360217212"
        }
      ],
      "content": {
        "body": {
          "text": "Welcome to the Safari Adventure Crew!",
          "subtext": "Adjust your trip",
          "sections": [
            {
              "sectionTitle": "Essentials",
              "items": [
                {
                  "text": "Binoculars"
                },
                {
                  "text": "Safari Hat"
                }
              ]
            },
            {
              "sectionTitle": "Animals to Meet",
              "items": [
                {
                  "text": "Elephant"
                },
                {
                  "text": "Zebra"
                }
              ]
            }
          ],
          "type": "LIST"
        }
      }
    }
  ]
}
```

### Carousel message MESSENGER

```json
{
  "messages": [
    {
      "channel": "MESSENGER",
      "sender": "731401526720514",
      "destinations": [
        {
          "to": "24060905360217212"
        }
      ],
      "content": {
        "body": {
          "cards": [
            {
              "body": {
                "title": "Otter Plushie",
                "text": "Cuddle with softest otter in the river",
                "url": "https://example.com/image.png",
                "isVideo": false
              },
              "buttons": [
                {
                  "text": "Otter",
                  "url": "https://example.com/otter",
                  "postbackData": "postbackData",
                  "type": "OPEN_URL"
                }
              ]
            },
            {
              "body": {
                "title": "Penguin Plushie",
                "text": "Waddle with adorable penguin friend",
                "url": "https://example.com/image.png",
                "isVideo": false
              },
              "buttons": [
                {
                  "text": "Penguin",
                  "url": "https://example.com/penguin",
                  "postbackData": "postbackData",
                  "type": "OPEN_URL"
                }
              ]
            }
          ],
          "type": "CAROUSEL"
        }
      }
    }
  ]
}
```

### Location message MESSENGER

```json
{
  "messages": [
    {
      "channel": "MESSENGER",
      "sender": "731401526720514",
      "destinations": [
        {
          "to": "24060905360217212"
        }
      ],
      "content": {
        "body": {
          "latitude": 44.95305,
          "longitude": 13.85637,
          "name": "Infobip d.o.o.",
          "address": "Istarska 157, 52215 Vodnjan, Croatia",
          "type": "LOCATION"
        }
      }
    }
  ]
}
```

### Sticker message MESSENGER

```json
{
  "messages": [
    {
      "channel": "MESSENGER",
      "sender": "731401526720514",
      "destinations": [
        {
          "to": "24060905360217212"
        }
      ],
      "content": {
        "body": {
          "reference": "https://example.com/sticker.webp",
          "type": "STICKER"
        }
      }
    }
  ]
}
```

### Text message with options and webhooks MESSENGER

```json
{
  "messages": [
    {
      "channel": "MESSENGER",
      "sender": "731401526720514",
      "destinations": [
        {
          "to": "24060905360217212"
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      },
      "options": {
        "platform": {
          "entityId": "entityId",
          "applicationId": "applicationId"
        },
        "validityPeriod": {
          "amount": 10,
          "timeUnit": "MINUTES"
        },
        "adaptationMode": false,
        "campaignReferenceId": "campaignReferenceId"
      },
      "webhooks": {
        "delivery": {
          "url": "https://example.com/delivery-webhook"
        },
        "callbackData": "callbackData"
      }
    }
  ]
}
```

### Text message with scheduling and URL shortening and tracking MESSENGER

```json
{
  "messages": [
    {
      "channel": "MESSENGER",
      "sender": "731401526720514",
      "destinations": [
        {
          "to": "24060905360217212"
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      }
    }
  ],
  "options": {
    "schedule": {
      "bulkId": "bulkId",
      "sendAt": "2025-10-01T00:00:00.000Z"
    },
    "tracking": {
      "shortenUrl": true,
      "trackClicks": true,
      "trackingUrl": "https://example.com/track-url",
      "removeProtocol": true
    }
  }
}
```

### Text message with failover to other channels MESSENGER

```json
{
  "messages": [
    {
      "channel": "MESSENGER",
      "sender": "731401526720514",
      "destinations": [
        {
          "byChannel": [
            {
              "channel": "MESSENGER",
              "to": "24060905360217212"
            },
            {
              "channel": "MMS",
              "to": "123456789"
            },
            {
              "channel": "WHATSAPP",
              "to": "123456789"
            }
          ]
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      },
      "failover": [
        {
          "channel": "MMS",
          "sender": "10950"
        },
        {
          "channel": "WHATSAPP",
          "sender": "447491163862",
          "template": {
            "templateName": "givenTemplateName",
            "language": "en"
          }
        }
      ]
    }
  ]
}
```

### Text message MMS

```json
{
  "messages": [
    {
      "channel": "MMS",
      "sender": "10950",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      }
    }
  ]
}
```

### Image message MMS

```json
{
  "messages": [
    {
      "channel": "MMS",
      "sender": "10950",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "url": "https://example.com/image.jpg",
          "type": "IMAGE"
        }
      }
    }
  ]
}
```

### Video message MMS

```json
{
  "messages": [
    {
      "channel": "MMS",
      "sender": "10950",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "url": "https://example.com/video.mp4",
          "type": "VIDEO"
        }
      }
    }
  ]
}
```

### Document message MMS

```json
{
  "messages": [
    {
      "channel": "MMS",
      "sender": "10950",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "url": "https://example.com/document.pdf",
          "type": "DOCUMENT"
        }
      }
    }
  ]
}
```

### Rich link message MMS

```json
{
  "messages": [
    {
      "channel": "MMS",
      "sender": "10950",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "redirectUrl": "https://example.com",
          "text": "Have a bear-y good day!",
          "url": "https://example.com/image.jpg",
          "isVideo": false,
          "type": "RICH_LINK"
        }
      }
    }
  ]
}
```

### Carousel message MMS

```json
{
  "messages": [
    {
      "channel": "MMS",
      "sender": "10950",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "cards": [
            {
              "body": {
                "text": "Cuddle with softest otter in the river",
                "url": "https://example.com/image.png",
                "isVideo": false
              },
              "buttons": [
                {
                  "text": "Otter",
                  "url": "https://example.com/otter",
                  "postbackData": "postbackData",
                  "type": "OPEN_URL"
                }
              ]
            }
          ],
          "type": "CAROUSEL"
        }
      }
    }
  ]
}
```

### Location message MMS

```json
{
  "messages": [
    {
      "channel": "MMS",
      "sender": "10950",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "latitude": 44.95305,
          "longitude": 13.85637,
          "name": "Infobip d.o.o.",
          "address": "Istarska 157, 52215 Vodnjan, Croatia",
          "type": "LOCATION"
        }
      }
    }
  ]
}
```

### Sticker message MMS

```json
{
  "messages": [
    {
      "channel": "MMS",
      "sender": "10950",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "reference": "https://example.com/sticker.webp",
          "type": "STICKER"
        }
      }
    }
  ]
}
```

### Mixed message MMS

```json
{
  "messages": [
    {
      "channel": "MMS",
      "sender": "10950",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "items": [
            {
              "url": "https://example.com/example1.jpg",
              "contentId": "example-content-id"
            },
            {
              "text": "Some text",
              "contentId": "example-text-content-id"
            },
            {
              "url": "https://example.com/example3.jpg",
              "contentId": "example-content-id"
            }
          ],
          "type": "MIXED"
        }
      }
    }
  ]
}
```

### Text message with options and webhooks MMS

```json
{
  "messages": [
    {
      "channel": "MMS",
      "sender": "10950",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      },
      "options": {
        "platform": {
          "entityId": "entityId",
          "applicationId": "applicationId"
        },
        "validityPeriod": {
          "amount": 10,
          "timeUnit": "MINUTES"
        },
        "adaptationMode": false,
        "campaignReferenceId": "campaignReferenceId"
      },
      "webhooks": {
        "delivery": {
          "url": "https://example.com/delivery-webhook"
        },
        "callbackData": "callbackData"
      }
    }
  ]
}
```

### Text message with scheduling and URL shortening and tracking MMS

```json
{
  "messages": [
    {
      "channel": "MMS",
      "sender": "10950",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      }
    }
  ],
  "options": {
    "schedule": {
      "bulkId": "bulkId",
      "sendAt": "2025-10-01T00:00:00.000Z"
    },
    "tracking": {
      "shortenUrl": true,
      "trackClicks": true,
      "trackingUrl": "https://example.com/track-url",
      "removeProtocol": true
    }
  }
}
```

### Text message with failover to other channels MMS

```json
{
  "messages": [
    {
      "channel": "MMS",
      "sender": "10950",
      "destinations": [
        {
          "byChannel": [
            {
              "channel": "MMS",
              "to": "123456789"
            },
            {
              "channel": "RCS",
              "to": "123456789"
            },
            {
              "channel": "WHATSAPP",
              "to": "123456789"
            }
          ]
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      },
      "failover": [
        {
          "channel": "RCS",
          "sender": "ibpDemoPly"
        },
        {
          "channel": "WHATSAPP",
          "sender": "447491163862",
          "template": {
            "templateName": "givenTemplateName",
            "language": "en"
          }
        }
      ]
    }
  ]
}
```

### Text message RCS

```json
{
  "messages": [
    {
      "channel": "RCS",
      "sender": "ibpDemoPly",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      }
    }
  ]
}
```

### Text message with buttons RCS

```json
{
  "messages": [
    {
      "channel": "RCS",
      "sender": "ibpDemoPly",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        },
        "buttons": [
          {
            "text": "Thank you",
            "postbackData": "thanks",
            "type": "REPLY"
          },
          {
            "text": "I send you more :3",
            "postbackData": "more",
            "type": "REPLY"
          }
        ]
      }
    }
  ]
}
```

### Image message RCS

```json
{
  "messages": [
    {
      "channel": "RCS",
      "sender": "ibpDemoPly",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "url": "https://example.com/image.jpg",
          "type": "IMAGE"
        }
      }
    }
  ]
}
```

### Video message RCS

```json
{
  "messages": [
    {
      "channel": "RCS",
      "sender": "ibpDemoPly",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "url": "https://example.com/video.mp4",
          "type": "VIDEO"
        }
      }
    }
  ]
}
```

### Document message RCS

```json
{
  "messages": [
    {
      "channel": "RCS",
      "sender": "ibpDemoPly",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "url": "https://example.com/document.pdf",
          "type": "DOCUMENT"
        }
      }
    }
  ]
}
```

### Rich link message RCS

```json
{
  "messages": [
    {
      "channel": "RCS",
      "sender": "ibpDemoPly",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "redirectUrl": "https://example.com",
          "text": "Have a bear-y good day!",
          "url": "https://example.com/image.jpg",
          "isVideo": false,
          "buttonText": "Click here",
          "type": "RICH_LINK"
        }
      }
    }
  ]
}
```

### List message RCS

```json
{
  "messages": [
    {
      "channel": "RCS",
      "sender": "ibpDemoPly",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "text": "Welcome to the Safari Adventure Crew!",
          "subtext": "Adjust your trip",
          "sections": [
            {
              "sectionTitle": "Essentials",
              "items": [
                {
                  "text": "Binoculars"
                },
                {
                  "text": "Safari Hat"
                }
              ]
            },
            {
              "sectionTitle": "Animals to Meet",
              "items": [
                {
                  "text": "Elephant"
                },
                {
                  "text": "Zebra"
                }
              ]
            }
          ],
          "type": "LIST"
        }
      }
    }
  ]
}
```

### Carousel message RCS

```json
{
  "messages": [
    {
      "channel": "RCS",
      "sender": "ibpDemoPly",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "cards": [
            {
              "body": {
                "title": "Otter Plushie",
                "text": "Cuddle with softest otter in the river",
                "url": "https://example.com/image.png",
                "isVideo": false
              },
              "buttons": [
                {
                  "text": "Otter",
                  "url": "https://example.com/otter",
                  "postbackData": "postbackData",
                  "type": "OPEN_URL"
                }
              ]
            },
            {
              "body": {
                "title": "Penguin Plushie",
                "text": "Waddle with adorable penguin friend",
                "url": "https://example.com/image.png",
                "isVideo": false
              },
              "buttons": [
                {
                  "text": "Penguin",
                  "url": "https://example.com/penguin",
                  "postbackData": "postbackData",
                  "type": "OPEN_URL"
                }
              ]
            }
          ],
          "type": "CAROUSEL"
        }
      }
    }
  ]
}
```

### Location message RCS

```json
{
  "messages": [
    {
      "channel": "RCS",
      "sender": "ibpDemoPly",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "latitude": 44.95305,
          "longitude": 13.85637,
          "name": "Infobip d.o.o.",
          "address": "Istarska 157, 52215 Vodnjan, Croatia",
          "type": "LOCATION"
        }
      }
    }
  ]
}
```

### Template message RCS

```json
{
  "messages": [
    {
      "channel": "RCS",
      "sender": "ibpDemoPly",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "template": {
        "templateName": "templateName"
      }
    }
  ]
}
```

### Template message with parameters RCS

```json
{
  "messages": [
    {
      "channel": "RCS",
      "sender": "ibpDemoPly",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "template": {
        "templateName": "templateName"
      },
      "content": {
        "body": {
          "type": "TEXT",
          "custom_param_1": "Infobip",
          "custom_param_2": "5:30 AM"
        }
      }
    }
  ]
}
```

### Text message with options and webhooks RCS

```json
{
  "messages": [
    {
      "channel": "RCS",
      "sender": "ibpDemoPly",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      },
      "options": {
        "platform": {
          "entityId": "entityId",
          "applicationId": "applicationId"
        },
        "validityPeriod": {
          "amount": 10,
          "timeUnit": "MINUTES"
        },
        "adaptationMode": false,
        "campaignReferenceId": "campaignReferenceId"
      },
      "webhooks": {
        "delivery": {
          "url": "https://example.com/delivery-webhook"
        },
        "callbackData": "callbackData",
        "seen": {
          "url": "https://example.com/seen-webhook"
        }
      }
    }
  ]
}
```

### Text message with scheduling and URL shortening and tracking RCS

```json
{
  "messages": [
    {
      "channel": "RCS",
      "sender": "ibpDemoPly",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      }
    }
  ],
  "options": {
    "schedule": {
      "bulkId": "bulkId",
      "sendAt": "2025-10-01T00:00:00.000Z"
    },
    "tracking": {
      "shortenUrl": true,
      "trackClicks": true,
      "trackingUrl": "https://example.com/track-url",
      "removeProtocol": true
    }
  }
}
```

### Text message with failover to other channels RCS

```json
{
  "messages": [
    {
      "channel": "RCS",
      "sender": "ibpDemoPly",
      "destinations": [
        {
          "byChannel": [
            {
              "channel": "RCS",
              "to": "123456789"
            },
            {
              "channel": "SMS",
              "to": "123456789"
            },
            {
              "channel": "WHATSAPP",
              "to": "123456789"
            }
          ]
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      },
      "failover": [
        {
          "channel": "SMS",
          "sender": "447491163862"
        },
        {
          "channel": "WHATSAPP",
          "sender": "447491163862",
          "template": {
            "templateName": "givenTemplateName",
            "language": "en"
          }
        }
      ]
    }
  ]
}
```

### Template message with parameters with failover to other channels RCS

```json
{
  "messages": [
    {
      "channel": "RCS",
      "sender": "ibpDemoPly",
      "destinations": [
        {
          "byChannel": [
            {
              "channel": "RCS",
              "to": "123456789"
            },
            {
              "channel": "SMS",
              "to": "123456789"
            },
            {
              "channel": "VIBER_BM",
              "to": "123456789"
            }
          ]
        }
      ],
      "template": {
        "templateName": "templateName"
      },
      "content": {
        "body": {
          "type": "TEXT",
          "custom_param_1": "Infobip",
          "custom_param_2": "5:30 AM"
        }
      },
      "webhooks": {
        "delivery": {
          "url": "https://example.com/delivery-webhook",
          "receiveTriggeredFailoverReports": true
        },
        "callbackData": "callbackData"
      },
      "failover": [
        {
          "channel": "SMS",
          "sender": "447491163862",
          "content": {
            "body": {
              "text": "Hello, how are you?",
              "type": "TEXT"
            }
          }
        },
        {
          "channel": "VIBER_BM",
          "sender": "InfobipDemo",
          "content": {
            "body": {
              "url": "https://example.com/image.jpg",
              "text": "Hello, how are you?",
              "type": "IMAGE"
            }
          }
        }
      ]
    }
  ]
}
```

### Text message SMS

```json
{
  "messages": [
    {
      "channel": "SMS",
      "sender": "447491163862",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      }
    }
  ]
}
```

### Image message SMS

```json
{
  "messages": [
    {
      "channel": "SMS",
      "sender": "447491163862",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "url": "https://example.com/image.jpg",
          "type": "IMAGE"
        }
      }
    }
  ]
}
```

### Video message SMS

```json
{
  "messages": [
    {
      "channel": "SMS",
      "sender": "447491163862",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "url": "https://example.com/video.mp4",
          "type": "VIDEO"
        }
      }
    }
  ]
}
```

### Document message SMS

```json
{
  "messages": [
    {
      "channel": "SMS",
      "sender": "447491163862",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "url": "https://example.com/document.pdf",
          "type": "DOCUMENT"
        }
      }
    }
  ]
}
```

### Location message SMS

```json
{
  "messages": [
    {
      "channel": "SMS",
      "sender": "447491163862",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "latitude": 44.95305,
          "longitude": 13.85637,
          "name": "Infobip d.o.o.",
          "address": "Istarska 157, 52215 Vodnjan, Croatia",
          "type": "LOCATION"
        }
      }
    }
  ]
}
```

### Text message with options and webhooks SMS

```json
{
  "messages": [
    {
      "channel": "SMS",
      "sender": "447491163862",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      },
      "options": {
        "platform": {
          "entityId": "entityId",
          "applicationId": "applicationId"
        },
        "validityPeriod": {
          "amount": 10,
          "timeUnit": "MINUTES"
        },
        "adaptationMode": false,
        "campaignReferenceId": "campaignReferenceId"
      },
      "webhooks": {
        "delivery": {
          "url": "https://example.com/delivery-webhook"
        },
        "callbackData": "callbackData"
      }
    }
  ]
}
```

### Text message with scheduling and URL shortening and tracking SMS

```json
{
  "messages": [
    {
      "channel": "SMS",
      "sender": "447491163862",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      }
    }
  ],
  "options": {
    "schedule": {
      "bulkId": "bulkId",
      "sendAt": "2025-10-01T00:00:00.000Z"
    },
    "tracking": {
      "shortenUrl": true,
      "trackClicks": true,
      "trackingUrl": "https://example.com/track-url",
      "removeProtocol": true
    }
  }
}
```

### Text message with failover to other channels SMS

```json
{
  "messages": [
    {
      "channel": "SMS",
      "sender": "447491163862",
      "destinations": [
        {
          "byChannel": [
            {
              "channel": "SMS",
              "to": "123456789"
            },
            {
              "channel": "VIBER_BM",
              "to": "123456789"
            },
            {
              "channel": "WHATSAPP",
              "to": "123456789"
            }
          ]
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      },
      "failover": [
        {
          "channel": "VIBER_BM",
          "sender": "InfobipDemo"
        },
        {
          "channel": "WHATSAPP",
          "sender": "447491163862",
          "template": {
            "templateName": "givenTemplateName",
            "language": "en"
          }
        }
      ]
    }
  ]
}
```

### Text message VIBER_BM

```json
{
  "messages": [
    {
      "channel": "VIBER_BM",
      "sender": "InfobipDemo",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      }
    }
  ]
}
```

### Text message with buttons VIBER_BM

```json
{
  "messages": [
    {
      "channel": "VIBER_BM",
      "sender": "InfobipDemo",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        },
        "buttons": [
          {
            "text": "Check vibes",
            "url": "https://example.com/vibes",
            "type": "OPEN_URL"
          }
        ]
      }
    }
  ]
}
```

### Image message VIBER_BM

```json
{
  "messages": [
    {
      "channel": "VIBER_BM",
      "sender": "InfobipDemo",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "url": "https://example.com/image.jpg",
          "type": "IMAGE"
        }
      }
    }
  ]
}
```

### Animated GIF image message VIBER_BM

```json
{
  "messages": [
    {
      "channel": "VIBER_BM",
      "sender": "InfobipDemo",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "url": "https://example.com/image.gif",
          "imageFormat": "GIF",
          "type": "IMAGE"
        }
      }
    }
  ]
}
```

### Image message with imageAction and ratio VIBER_BM

```json
{
  "messages": [
    {
      "channel": "VIBER_BM",
      "sender": "InfobipDemo",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "url": "https://example.com/image.jpg",
          "text": "Check out our latest offer",
          "imageAction": "https://www.infobip.com/",
          "ratio": "LANDSCAPE",
          "type": "IMAGE"
        }
      }
    }
  ]
}
```

### Video message VIBER_BM

```json
{
  "messages": [
    {
      "channel": "VIBER_BM",
      "sender": "InfobipDemo",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "url": "https://example.com/video.mp4",
          "thumbnailUrl": "https://example.com/thumbnail.jpg",
          "type": "VIDEO"
        }
      }
    }
  ]
}
```

### Document message VIBER_BM

```json
{
  "messages": [
    {
      "channel": "VIBER_BM",
      "sender": "InfobipDemo",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "url": "https://example.com/document.pdf",
          "filename": "document.pdf",
          "type": "DOCUMENT"
        }
      }
    }
  ]
}
```

### Rich link message VIBER_BM

```json
{
  "messages": [
    {
      "channel": "VIBER_BM",
      "sender": "InfobipDemo",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "redirectUrl": "https://example.com",
          "text": "Have a bear-y good day!",
          "url": "https://example.com/image.jpg",
          "isVideo": false,
          "buttonText": "Click here",
          "type": "RICH_LINK"
        }
      }
    }
  ]
}
```

### Carousel message VIBER_BM

```json
{
  "messages": [
    {
      "channel": "VIBER_BM",
      "sender": "InfobipDemo",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "header": {
          "text": "Check our plushies",
          "type": "TEXT"
        },
        "body": {
          "cards": [
            {
              "body": {
                "text": "Cuddle with softest otter in the river",
                "url": "https://example.com/image.png",
                "isVideo": false
              },
              "buttons": [
                {
                  "text": "Otter",
                  "url": "https://example.com/otter",
                  "postbackData": "postbackData",
                  "type": "OPEN_URL"
                }
              ]
            },
            {
              "body": {
                "text": "Waddle with adorable penguin friend",
                "url": "https://example.com/image.png",
                "isVideo": false
              },
              "buttons": [
                {
                  "text": "Penguin",
                  "url": "https://example.com/penguin",
                  "postbackData": "postbackData",
                  "type": "OPEN_URL"
                }
              ]
            }
          ],
          "type": "CAROUSEL"
        }
      }
    }
  ]
}
```

### Location message VIBER_BM

```json
{
  "messages": [
    {
      "channel": "VIBER_BM",
      "sender": "InfobipDemo",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "latitude": 44.95305,
          "longitude": 13.85637,
          "name": "Infobip d.o.o.",
          "address": "Istarska 157, 52215 Vodnjan, Croatia",
          "type": "LOCATION"
        }
      }
    }
  ]
}
```

### Sticker message VIBER_BM

```json
{
  "messages": [
    {
      "channel": "VIBER_BM",
      "sender": "InfobipDemo",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "reference": "https://example.com/sticker.webp",
          "type": "STICKER"
        }
      }
    }
  ]
}
```

### Template message with parameters VIBER_BM

```json
{
  "messages": [
    {
      "channel": "VIBER_BM",
      "sender": "InfobipDemo",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "template": {
        "templateName": "0aac888f-2ee2-4112-9659-1755a951966a",
        "language": "en"
      },
      "content": {
        "body": {
          "pin": "1234",
          "type": "TEXT"
        }
      }
    }
  ]
}
```

### Text message with options and webhooks VIBER_BM

```json
{
  "messages": [
    {
      "channel": "VIBER_BM",
      "sender": "InfobipDemo",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      },
      "options": {
        "platform": {
          "entityId": "entityId",
          "applicationId": "applicationId"
        },
        "validityPeriod": {
          "amount": 10,
          "timeUnit": "MINUTES"
        },
        "adaptationMode": false,
        "campaignReferenceId": "campaignReferenceId"
      },
      "webhooks": {
        "delivery": {
          "url": "https://example.com/delivery-webhook"
        },
        "callbackData": "callbackData",
        "seen": {
          "url": "https://example.com/seen-webhook"
        }
      }
    }
  ]
}
```

### Text message with traffic type option VIBER_BM

```json
{
  "messages": [
    {
      "channel": "VIBER_BM",
      "sender": "InfobipDemo",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      },
      "options": {
        "adaptationMode": false,
        "trafficType": "TRANSACTIONAL"
      }
    }
  ]
}
```

### Text message with enabled session rate and primary device only options VIBER_BM

```json
{
  "messages": [
    {
      "channel": "VIBER_BM",
      "sender": "InfobipDemo",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      },
      "options": {
        "adaptationMode": false,
        "sessionRate": true,
        "primaryDevice": true
      }
    }
  ]
}
```

### Text message with scheduling and URL shortening and tracking VIBER_BM

```json
{
  "messages": [
    {
      "channel": "VIBER_BM",
      "sender": "InfobipDemo",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      }
    }
  ],
  "options": {
    "schedule": {
      "bulkId": "bulkId",
      "sendAt": "2025-10-01T00:00:00.000Z"
    },
    "tracking": {
      "shortenUrl": true,
      "trackClicks": true,
      "trackingUrl": "https://example.com/track-url",
      "removeProtocol": true
    }
  }
}
```

### Text message with failover to other channels VIBER_BM

```json
{
  "messages": [
    {
      "channel": "VIBER_BM",
      "sender": "InfobipDemo",
      "destinations": [
        {
          "byChannel": [
            {
              "channel": "VIBER_BM",
              "to": "123456789"
            },
            {
              "channel": "VIBER_BOT",
              "to": "SirE8dEwjQEda4/VugaE+A=="
            },
            {
              "channel": "WHATSAPP",
              "to": "123456789"
            }
          ]
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      },
      "failover": [
        {
          "channel": "VIBER_BOT",
          "sender": "pa:5964217479313231708"
        },
        {
          "channel": "WHATSAPP",
          "sender": "447491163862",
          "template": {
            "templateName": "givenTemplateName",
            "language": "en"
          }
        }
      ]
    }
  ]
}
```

### Template message with parameters with failover to other channels VIBER_BM

```json
{
  "messages": [
    {
      "channel": "VIBER_BM",
      "sender": "InfobipDemo",
      "destinations": [
        {
          "byChannel": [
            {
              "channel": "VIBER_BM",
              "to": "123456789"
            },
            {
              "channel": "VIBER_BOT",
              "to": "SirE8dEwjQEda4/VugaE+A=="
            },
            {
              "channel": "WHATSAPP",
              "to": "123456789"
            }
          ]
        }
      ],
      "template": {
        "templateName": "0aac888f-2ee2-4112-9659-1755a951966a",
        "language": "en"
      },
      "content": {
        "body": {
          "pin": "1234",
          "type": "TEXT"
        }
      },
      "webhooks": {
        "delivery": {
          "url": "https://example.com/delivery-webhook",
          "receiveTriggeredFailoverReports": true
        },
        "callbackData": "callbackData"
      },
      "failover": [
        {
          "channel": "VIBER_BOT",
          "sender": "pa:5964217479313231708",
          "content": {
            "body": {
              "text": "Hello, how are you?",
              "type": "TEXT"
            }
          }
        },
        {
          "channel": "WHATSAPP",
          "sender": "447491163862",
          "content": {
            "body": {
              "url": "https://example.com/image.jpg",
              "text": "Hello, how are you?",
              "type": "IMAGE"
            }
          }
        }
      ]
    }
  ]
}
```

### Text message VIBER_BOT

```json
{
  "messages": [
    {
      "channel": "VIBER_BOT",
      "sender": "pa:5964217479313231708",
      "destinations": [
        {
          "to": "SirE8dEwjQEda4/VugaE+A=="
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      }
    }
  ]
}
```

### Text message with senderDisplayInfo VIBER_BOT

```json
{
  "messages": [
    {
      "channel": "VIBER_BOT",
      "sender": "pa:5964217479313231708",
      "destinations": [
        {
          "to": "SirE8dEwjQEda4/VugaE+A=="
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        },
        "senderDisplayInfo": {
          "name": "Company name",
          "avatarUrl": "https://example.com/avatarUrl.jpg"
        }
      }
    }
  ]
}
```

### Text message with buttons VIBER_BOT

```json
{
  "messages": [
    {
      "channel": "VIBER_BOT",
      "sender": "pa:5964217479313231708",
      "destinations": [
        {
          "to": "SirE8dEwjQEda4/VugaE+A=="
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        },
        "buttons": [
          {
            "text": "Thank you",
            "postbackData": "thanks",
            "type": "REPLY"
          },
          {
            "text": "I send you more :3",
            "postbackData": "more",
            "type": "REPLY"
          }
        ]
      }
    }
  ]
}
```

### Image message VIBER_BOT

```json
{
  "messages": [
    {
      "channel": "VIBER_BOT",
      "sender": "pa:5964217479313231708",
      "destinations": [
        {
          "to": "SirE8dEwjQEda4/VugaE+A=="
        }
      ],
      "content": {
        "body": {
          "url": "https://example.com/image.jpg",
          "type": "IMAGE"
        }
      }
    }
  ]
}
```

### Video message VIBER_BOT

```json
{
  "messages": [
    {
      "channel": "VIBER_BOT",
      "sender": "pa:5964217479313231708",
      "destinations": [
        {
          "to": "SirE8dEwjQEda4/VugaE+A=="
        }
      ],
      "content": {
        "body": {
          "url": "https://example.com/video.mp4",
          "type": "VIDEO"
        }
      }
    }
  ]
}
```

### Document message VIBER_BOT

```json
{
  "messages": [
    {
      "channel": "VIBER_BOT",
      "sender": "pa:5964217479313231708",
      "destinations": [
        {
          "to": "SirE8dEwjQEda4/VugaE+A=="
        }
      ],
      "content": {
        "body": {
          "url": "https://example.com/document.pdf",
          "filename": "document.pdf",
          "type": "DOCUMENT"
        }
      }
    }
  ]
}
```

### Rich link message VIBER_BOT

```json
{
  "messages": [
    {
      "channel": "VIBER_BOT",
      "sender": "pa:5964217479313231708",
      "destinations": [
        {
          "to": "SirE8dEwjQEda4/VugaE+A=="
        }
      ],
      "content": {
        "body": {
          "redirectUrl": "https://example.com",
          "text": "Have a bear-y good day!",
          "url": "https://example.com/image.jpg",
          "isVideo": false,
          "buttonText": "Click here",
          "type": "RICH_LINK"
        }
      }
    }
  ]
}
```

### List message VIBER_BOT

```json
{
  "messages": [
    {
      "channel": "VIBER_BOT",
      "sender": "pa:5964217479313231708",
      "destinations": [
        {
          "to": "SirE8dEwjQEda4/VugaE+A=="
        }
      ],
      "content": {
        "body": {
          "text": "Welcome to the Safari Adventure Crew!",
          "subtext": "Adjust your trip",
          "sections": [
            {
              "sectionTitle": "Essentials",
              "items": [
                {
                  "text": "Binoculars"
                },
                {
                  "text": "Safari Hat"
                }
              ]
            },
            {
              "sectionTitle": "Animals to Meet",
              "items": [
                {
                  "text": "Elephant"
                },
                {
                  "text": "Zebra"
                }
              ]
            }
          ],
          "type": "LIST"
        }
      }
    }
  ]
}
```

### Carousel message VIBER_BOT

```json
{
  "messages": [
    {
      "channel": "VIBER_BOT",
      "sender": "pa:5964217479313231708",
      "destinations": [
        {
          "to": "SirE8dEwjQEda4/VugaE+A=="
        }
      ],
      "content": {
        "body": {
          "cards": [
            {
              "body": {
                "title": "Otter Plushie",
                "text": "Cuddle with softest otter in the river",
                "url": "https://example.com/image.png",
                "isVideo": false
              },
              "buttons": [
                {
                  "text": "Otter",
                  "url": "https://example.com/otter",
                  "postbackData": "postbackData",
                  "type": "OPEN_URL"
                }
              ]
            },
            {
              "body": {
                "title": "Penguin Plushie",
                "text": "Waddle with adorable penguin friend",
                "url": "https://example.com/image.png",
                "isVideo": false
              },
              "buttons": [
                {
                  "text": "Penguin",
                  "url": "https://example.com/penguin",
                  "postbackData": "postbackData",
                  "type": "OPEN_URL"
                }
              ]
            }
          ],
          "type": "CAROUSEL"
        }
      }
    }
  ]
}
```

### Location message VIBER_BOT

```json
{
  "messages": [
    {
      "channel": "VIBER_BOT",
      "sender": "pa:5964217479313231708",
      "destinations": [
        {
          "to": "SirE8dEwjQEda4/VugaE+A=="
        }
      ],
      "content": {
        "body": {
          "latitude": 44.95305,
          "longitude": 13.85637,
          "type": "LOCATION"
        }
      }
    }
  ]
}
```

### Contact message VIBER_BOT

```json
{
  "messages": [
    {
      "channel": "VIBER_BOT",
      "sender": "pa:5964217479313231708",
      "destinations": [
        {
          "to": "SirE8dEwjQEda4/VugaE+A=="
        }
      ],
      "content": {
        "body": {
          "name": "Some Something",
          "phoneNumber": "123456789",
          "type": "CONTACT"
        }
      }
    }
  ]
}
```

### Sticker message VIBER_BOT

```json
{
  "messages": [
    {
      "channel": "VIBER_BOT",
      "sender": "pa:5964217479313231708",
      "destinations": [
        {
          "to": "SirE8dEwjQEda4/VugaE+A=="
        }
      ],
      "content": {
        "body": {
          "reference": "40133",
          "type": "STICKER"
        }
      }
    }
  ]
}
```

### Text message with options and webhooks VIBER_BOT

```json
{
  "messages": [
    {
      "channel": "VIBER_BOT",
      "sender": "pa:5964217479313231708",
      "destinations": [
        {
          "to": "SirE8dEwjQEda4/VugaE+A=="
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      },
      "options": {
        "platform": {
          "entityId": "entityId",
          "applicationId": "applicationId"
        },
        "validityPeriod": {
          "amount": 10,
          "timeUnit": "MINUTES"
        },
        "adaptationMode": false,
        "campaignReferenceId": "campaignReferenceId"
      },
      "webhooks": {
        "delivery": {
          "url": "https://example.com/delivery-webhook"
        },
        "callbackData": "callbackData",
        "seen": {
          "url": "https://example.com/seen-webhook"
        }
      }
    }
  ]
}
```

### Text message with scheduling and URL shortening and tracking VIBER_BOT

```json
{
  "messages": [
    {
      "channel": "VIBER_BOT",
      "sender": "pa:5964217479313231708",
      "destinations": [
        {
          "to": "SirE8dEwjQEda4/VugaE+A=="
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      }
    }
  ],
  "options": {
    "schedule": {
      "bulkId": "bulkId",
      "sendAt": "2025-10-01T00:00:00.000Z"
    },
    "tracking": {
      "shortenUrl": true,
      "trackClicks": true,
      "trackingUrl": "https://example.com/track-url",
      "removeProtocol": true
    }
  }
}
```

### Text message with failover to other channels VIBER_BOT

```json
{
  "messages": [
    {
      "channel": "VIBER_BOT",
      "sender": "pa:5964217479313231708",
      "destinations": [
        {
          "byChannel": [
            {
              "channel": "VIBER_BOT",
              "to": "SirE8dEwjQEda4/VugaE+A=="
            },
            {
              "channel": "WHATSAPP",
              "to": "123456789"
            },
            {
              "channel": "RCS",
              "to": "123456789"
            }
          ]
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      },
      "failover": [
        {
          "channel": "WHATSAPP",
          "sender": "447491163862"
        },
        {
          "channel": "RCS",
          "sender": "ibpDemoPly",
          "template": {
            "templateName": "givenTemplateName"
          }
        }
      ]
    }
  ]
}
```

### Text message WHATSAPP

```json
{
  "messages": [
    {
      "channel": "WHATSAPP",
      "sender": "447491163862",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      }
    }
  ]
}
```

### Text message with buttons WHATSAPP

```json
{
  "messages": [
    {
      "channel": "WHATSAPP",
      "sender": "447491163862",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        },
        "buttons": [
          {
            "text": "Thank you",
            "postbackData": "thanks",
            "type": "REPLY"
          },
          {
            "text": "I send you more :3",
            "postbackData": "more",
            "type": "REPLY"
          }
        ]
      }
    }
  ]
}
```

### Image message WHATSAPP

```json
{
  "messages": [
    {
      "channel": "WHATSAPP",
      "sender": "447491163862",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "url": "https://example.com/image.jpg",
          "type": "IMAGE"
        }
      }
    }
  ]
}
```

### Video message WHATSAPP

```json
{
  "messages": [
    {
      "channel": "WHATSAPP",
      "sender": "447491163862",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "url": "https://example.com/video.mp4",
          "type": "VIDEO"
        }
      }
    }
  ]
}
```

### Document message WHATSAPP

```json
{
  "messages": [
    {
      "channel": "WHATSAPP",
      "sender": "447491163862",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "url": "https://example.com/document.pdf",
          "type": "DOCUMENT"
        }
      }
    }
  ]
}
```

### Rich link message WHATSAPP

```json
{
  "messages": [
    {
      "channel": "WHATSAPP",
      "sender": "447491163862",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "redirectUrl": "https://example.com",
          "text": "Have a bear-y good day!",
          "url": "https://example.com/image.jpg",
          "isVideo": false,
          "type": "RICH_LINK"
        }
      }
    }
  ]
}
```

### List message WHATSAPP

```json
{
  "messages": [
    {
      "channel": "WHATSAPP",
      "sender": "447491163862",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "text": "Welcome to the Safari Adventure Crew!",
          "subtext": "Adjust your trip",
          "sections": [
            {
              "sectionTitle": "Essentials",
              "items": [
                {
                  "text": "Binoculars"
                },
                {
                  "text": "Safari Hat"
                }
              ]
            },
            {
              "sectionTitle": "Animals to Meet",
              "items": [
                {
                  "text": "Elephant"
                },
                {
                  "text": "Zebra"
                }
              ]
            }
          ],
          "type": "LIST"
        }
      }
    }
  ]
}
```

### Carousel message WHATSAPP

```json
{
  "messages": [
    {
      "channel": "WHATSAPP",
      "sender": "447491163862",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "cards": [
            {
              "body": {
                "text": "Cuddle with softest otter in the river",
                "url": "https://example.com/image.png",
                "isVideo": false
              },
              "buttons": [
                {
                  "text": "Otter",
                  "url": "https://example.com/otter",
                  "postbackData": "postbackData",
                  "type": "OPEN_URL"
                }
              ]
            }
          ],
          "type": "CAROUSEL"
        }
      }
    }
  ]
}
```

### Location message WHATSAPP

```json
{
  "messages": [
    {
      "channel": "WHATSAPP",
      "sender": "447491163862",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "latitude": 44.95305,
          "longitude": 13.85637,
          "name": "Infobip d.o.o.",
          "address": "Istarska 157, 52215 Vodnjan, Croatia",
          "type": "LOCATION"
        }
      }
    }
  ]
}
```

### Contact message WHATSAPP

```json
{
  "messages": [
    {
      "channel": "WHATSAPP",
      "sender": "447491163862",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "name": "Some Something",
          "phoneNumber": "123456789",
          "type": "CONTACT"
        }
      }
    }
  ]
}
```

### Sticker message WHATSAPP

```json
{
  "messages": [
    {
      "channel": "WHATSAPP",
      "sender": "447491163862",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "reference": "https://example.com/sticker.webp",
          "type": "STICKER"
        }
      }
    }
  ]
}
```

### Product message WHATSAPP

```json
{
  "messages": [
    {
      "channel": "WHATSAPP",
      "sender": "447491163862",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "header": {
          "text": "Check our products",
          "type": "TEXT"
        },
        "body": {
          "text": "New watches.",
          "catalogId": "3735864913400897",
          "sections": [
            {
              "title": "New watch",
              "productRetailerIds": [
                "pf8e9cpb9u"
              ]
            },
            {
              "title": "Another watch",
              "productRetailerIds": [
                "a92wdavv4a"
              ]
            },
            {
              "title": "Another new watch",
              "productRetailerIds": [
                "5m9rpwuk95"
              ]
            }
          ],
          "type": "PRODUCT"
        }
      }
    }
  ]
}
```

### Flow message WHATSAPP

```json
{
  "messages": [
    {
      "channel": "WHATSAPP",
      "sender": "447491163862",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "text": "Share with us your opinion",
          "id": "1049250280482345",
          "token": "tokenForTracking",
          "buttonText": "Click Me!",
          "mode": "PUBLISHED",
          "action": {
            "payload": {
              "screen": "BOOKING_DETAILS"
            },
            "type": "NAVIGATE"
          },
          "type": "FLOW"
        }
      }
    }
  ]
}
```

### Order request message WHATSAPP

```json
{
  "messages": [
    {
      "channel": "WHATSAPP",
      "sender": "447491163862",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "text": "Message text",
          "imageUrl": "https://example.com/image.jpg",
          "order": {
            "catalogId": "catalogId",
            "currency": "INR",
            "type": "DIGITAL_GOODS",
            "items": [
              {
                "name": "Item name",
                "retailerId": "retailerId",
                "quantity": 1,
                "amount": 100,
                "saleAmount": 50
              }
            ],
            "expiration": {
              "timestamp": "2024-02-06T14:18:29.797Z",
              "description": "Description of the expiration"
            }
          },
          "payment": {
            "configuration": {
              "id": "paymentId",
              "name": "paymentConfigurationName",
              "productDescription": "description of product in order",
              "customerFirstName": "customerFirstName",
              "customerLastName": "customerLastName",
              "customerEmail": "customerEmail@example.com",
              "callbackData": [
                "callbackData"
              ],
              "type": "UPI_PAYU"
            },
            "total": {
              "value": 75
            },
            "subtotal": 50,
            "tax": {
              "value": 25,
              "description": "Tax description"
            },
            "discount": {
              "value": 10,
              "description": "Discount description"
            }
          },
          "shippings": [
            {
              "amount": 10,
              "description": "Shipping description"
            }
          ],
          "type": "ORDER_REQUEST"
        }
      }
    }
  ]
}
```

### Order status message WHATSAPP

```json
{
  "messages": [
    {
      "channel": "WHATSAPP",
      "sender": "447491163862",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "title": "Message text",
          "id": "orderId",
          "orderType": "UPI_PAYU",
          "orderStatus": "PENDING",
          "type": "ORDER_STATUS"
        }
      }
    }
  ]
}
```

### Template message WHATSAPP

```json
{
  "messages": [
    {
      "channel": "WHATSAPP",
      "sender": "447491163862",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "template": {
        "templateName": "templateName",
        "language": "en"
      }
    }
  ]
}
```

### Template message with parameters WHATSAPP

```json
{
  "messages": [
    {
      "channel": "WHATSAPP",
      "sender": "447491163862",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "template": {
        "templateName": "templateName",
        "language": "en"
      },
      "content": {
        "body": {
          "type": "TEXT",
          "1": "Infobip",
          "2": "5:30 AM"
        }
      }
    }
  ]
}
```

### Template message with named parameters WHATSAPP

```json
{
  "messages": [
    {
      "channel": "WHATSAPP",
      "sender": "447491163862",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "template": {
        "templateName": "templateName",
        "language": "en"
      },
      "content": {
        "body": {
          "type": "TEXT",
          "first_name": "John",
          "appointment_time": "5:30 AM"
        }
      }
    }
  ]
}
```

### Template message with parameters and dynamic URL buttons WHATSAPP

```json
{
  "messages": [
    {
      "channel": "WHATSAPP",
      "sender": "447491163862",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "template": {
        "templateName": "templateName",
        "language": "en"
      },
      "content": {
        "body": {
          "type": "TEXT",
          "1": "Infobip",
          "2": "5:30 AM"
        },
        "buttons": [
          {
            "suffix": "example1",
            "type": "OPEN_URL"
          },
          {
            "suffix": "example2",
            "type": "OPEN_URL"
          }
        ]
      }
    }
  ]
}
```

### Template authentication message with copy code button WHATSAPP

```json
{
  "messages": [
    {
      "channel": "WHATSAPP",
      "sender": "447491163862",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "template": {
        "templateName": "templateName",
        "language": "en"
      },
      "content": {
        "body": {
          "type": "TEXT",
          "1": "Infobip",
          "2": "12345"
        },
        "buttons": [
          {
            "suffix": "12345",
            "type": "OPEN_URL"
          }
        ]
      }
    }
  ]
}
```

### Template carousel message WHATSAPP

```json
{
  "messages": [
    {
      "channel": "WHATSAPP",
      "sender": "447491163862",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "template": {
        "templateName": "templateName",
        "language": "en"
      },
      "content": {
        "body": {
          "cards": [
            {
              "header": {
                "url": "https://example.com/giraffe.jpg",
                "type": "IMAGE"
              },
              "body": {
                "1": "Girafffe"
              },
              "buttons": [
                {
                  "postbackData": "giraffe",
                  "type": "QUICK_REPLY"
                }
              ]
            },
            {
              "header": {
                "url": "https://example.com/zebra.jpg",
                "type": "IMAGE"
              },
              "body": {
                "1": "Zebra"
              },
              "buttons": [
                {
                  "postbackData": "zebra",
                  "type": "QUICK_REPLY"
                }
              ]
            }
          ],
          "type": "CAROUSEL"
        }
      }
    }
  ]
}
```

### Text message with options and webhooks WHATSAPP

```json
{
  "messages": [
    {
      "channel": "WHATSAPP",
      "sender": "447491163862",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      },
      "options": {
        "platform": {
          "entityId": "entityId",
          "applicationId": "applicationId"
        },
        "validityPeriod": {
          "amount": 10,
          "timeUnit": "MINUTES"
        },
        "adaptationMode": false,
        "campaignReferenceId": "campaignReferenceId"
      },
      "webhooks": {
        "delivery": {
          "url": "https://example.com/delivery-webhook"
        },
        "callbackData": "callbackData",
        "seen": {
          "url": "https://example.com/seen-webhook"
        }
      }
    }
  ]
}
```

### Text message with scheduling and URL shortening and tracking WHATSAPP

```json
{
  "messages": [
    {
      "channel": "WHATSAPP",
      "sender": "447491163862",
      "destinations": [
        {
          "to": "123456789"
        }
      ],
      "content": {
        "body": {
          "text": "Sending you lots of otterly delightful vibes today!",
          "type": "TEXT"
        }
      }
    }
  ],
  "options": {
    "schedule": {
      "bulkId": "bulkId",
      "sendAt": "2025-10-01T00:00:00.000Z"
    },
    "tracking": {
      "shortenUrl": true,
      "trackClicks": true,
      "trackingUrl": "https://example.com/track-url",
      "removeProtocol": true
    }
  }
}
```

[...]
